# Test program to illustrate uAM2315 class usage

import uam2315
import machine

# Example using an ESP8266 (ESP-01)
i2c = machine.I2C(freq=400000, scl=machine.Pin(0),sda=machine.Pin(2))

# Connecting to AM2315
chip = uam2315.uam2315(i2c)

# Retrieve sensor temperature
chip.GetTemperature()

# Retrieve sensor humidity
chip.GetHumidity()
